<?php


namespace App\ViewModels\Consulta\ConsultaByMedicoViewModel;

use App\Utils\Entity;

class ConsultaByMedicoViewModel extends Entity
{
    protected $id_paciente;
    protected $nome;
    protected $email;
    protected $cpf;
    protected $numero;
    protected $complemento;
    protected $referencias;
    protected $cep;
    protected $cidade;
    protected $estado;
    protected $logradouro;

    public static function builder() : ConsultaByMedicoViewModelBuilder
    {
        return new ConsultaByMedicoViewModelBuilder;
    }

    public function getIdPaciente()
    {
        return $this->id_paciente;
    }

    public function setIdPaciente($id_paciente): void
    {
        $this->id_paciente = $id_paciente;
    }

    public function getNome()
    {
        return $this->nome;
    }

    public function setNome($nome): void
    {
        $this->nome = $nome;
    }

    public function getEmail()
    {
        return $this->email;
    }

    public function setEmail($email): void
    {
        $this->email = $email;
    }

    public function getCpf()
    {
        return $this->cpf;
    }

    public function setCpf($cpf): void
    {
        $this->cpf = $cpf;
    }

    public function getNumero()
    {
        return $this->numero;
    }

    public function setNumero($numero): void
    {
        $this->numero = $numero;
    }

    public function getComplemento()
    {
        return $this->complemento;
    }

    public function setComplemento($complemento): void
    {
        $this->complemento = $complemento;
    }

    public function getReferencias()
    {
        return $this->referencias;
    }

    public function setReferencias($referencias): void
    {
        $this->referencias = $referencias;
    }

    public function getCep()
    {
        return $this->cep;
    }

    public function setCep($cep): void
    {
        $this->cep = $cep;
    }

    public function getCidade()
    {
        return $this->cidade;
    }

    public function setCidade($cidade): void
    {
        $this->cidade = $cidade;
    }

    public function getEstado()
    {
        return $this->estado;
    }

    public function setEstado($estado): void
    {
        $this->estado = $estado;
    }

    public function getLogradouro()
    {
        return $this->logradouro;
    }

    public function setLogradouro($logradouro): void
    {
        $this->logradouro = $logradouro;
    }










}